org.jbpm.kie.services.impl.admin.commands

## Class UpdateTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.kie.services.impl.admin.commands.UpdateTaskCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class UpdateTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateTaskCommand(Long taskId, String userId, UserTaskInstanceDesc userTask, Map<String,Object> inputs, Map<String,Object> outputs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context cntxt)`
    `protected boolean` | `isOwner(String userId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners, org.kie.api.task.model.OrganizationalEntity actualOwner, TaskContext context)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateTaskCommand

          public UpdateTaskCommand(Long taskId,
                                   String userId,
                                   UserTaskInstanceDesc userTask,
                                   Map<String,Object> inputs,
                                   Map<String,Object> outputs)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

    - #### isOwner

          protected boolean isOwner(String userId,
                                    List<org.kie.api.task.model.OrganizationalEntity> potentialOwners,
                                    org.kie.api.task.model.OrganizationalEntity actualOwner,
                                    TaskContext context)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.